Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class AppContext

    java.lang.Object
      com.bea.netuix.servlets.manager.AppContext

All Implemented Interfaces
  Serializable

    public class AppContext

extends Object
implements Serializable

The `AppContext` is created once per request and provides convenience methods for application-wide request-scoped parameters.

See Also
  Serialized Form

Constructor Summary
`AppContext()`

Method Summary
`static boolean` | `appContextSet(javax.servlet.http.HttpServletRequest request)` Has a portal servlet set the AppContext on this request?
`static AppContext` | `getAppContext(javax.servlet.http.HttpServletRequest request)` Returns the `AppContext` associated with the current request.
`String` | `getDesktopPath()` Get the partial URL (desktop portion) for this portal/desktop request
`String` | `getPortalPath()` Get the partial URL (portal portion) for this portal/desktop
`String` | `getPortletInstanceLabel()`
`String` | `getWebAppName()` Return the webapp name (as defined in the config.xml file) for this portal.
`static boolean` | `isCustomizationAllowed(javax.servlet.http.HttpServletRequest request)` This method is used for determining if customizations are allowed, based on information in the given request.
`boolean` | `isDotPortal()` Is this portal a .portal file or was it assembled from the datebase?
`static boolean` | `isPermanentDeleteAllowed(javax.servlet.http.HttpServletRequest request)` Deprecated Replaced by `isCustomizationAllowed(HttpServletRequest)`
`boolean` | `isStandalonePortlet()` Is the current request servicing a standalone Portlet?
`void` | `setPortletInstanceLabel(String portletInstanceLabel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppContext

    public AppContext()

Method Detail

### getWebAppName

    public String getWebAppName()

  Return the webapp name (as defined in the config.xml file) for this portal.

  Returns
    the web app name

### getPortalPath

    public String getPortalPath()

  Get the partial URL (portal portion) for this portal/desktop

  Returns
    the partial URL path for this portal. If this is a .portal file request then this method will return null.

### getDesktopPath

    public String getDesktopPath()

  Get the partial URL (desktop portion) for this portal/desktop request

  Returns
    return the part of the URL that makes up the desktop request. If this is a .portal file request this method will return null.

### getPortletInstanceLabel

    public String getPortletInstanceLabel()

### setPortletInstanceLabel

    public void setPortletInstanceLabel(String portletInstanceLabel)

### isDotPortal

    public boolean isDotPortal()

  Is this portal a .portal file or was it assembled from the datebase?

  Returns
    true is this portal is a .portal file

### isStandalonePortlet

    public boolean isStandalonePortlet()

  Is the current request servicing a standalone Portlet?

  Returns
    true if this request is servicing a standalone portlet

### isPermanentDeleteAllowed

    @Deprecated
    public static boolean isPermanentDeleteAllowed(javax.servlet.http.HttpServletRequest request)

  Deprecated Replaced by `isCustomizationAllowed(HttpServletRequest)`

  This method is used for determining if a delete button can be used to permanently delete a portlet instance from the database. This information is valuable because it allows a user interface to give an appropriate prompt to the end-user, with choices that accurately represent actions that can successfully be taken. For example, if delete permanently is allowed, a look and feel can prompt the end user if s/he wants to delete this portlet permanently, or just for the session.

  Returns
    true if this button can be used to permanently delete a portlet instance from the database; false otherwise.

### isCustomizationAllowed

    public static boolean isCustomizationAllowed(javax.servlet.http.HttpServletRequest request)

  This method is used for determining if customizations are allowed, based on information in the given request. Several criteria must evaluate to true for this method to return true: the request must originate from a disassembled Desktop; the customization flag must be set to "true" for the originating web application; and the user must be authenticated to the system.

  Returns
    true if customizations are allowed based on information in the request; false otherwise.

### getAppContext

    public static AppContext getAppContext(javax.servlet.http.HttpServletRequest request)

  Returns the `AppContext` associated with the current request. If no such `AppContext` exists, this method creates a new one and associates it with the current request.

  Returns
    application context

### appContextSet

    public static boolean appContextSet(javax.servlet.http.HttpServletRequest request)

  Has a portal servlet set the AppContext on this request?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.